summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-editors/qwriter')
-rw-r--r--app-editors/qwriter/Manifest1
-rw-r--r--app-editors/qwriter/files/qwriter-0.1.9-gcc47.patch13
-rw-r--r--app-editors/qwriter/metadata.xml11
-rw-r--r--app-editors/qwriter/qwriter-0.1.9.ebuild50
4 files changed, 75 insertions, 0 deletions
diff --git a/app-editors/qwriter/Manifest b/app-editors/qwriter/Manifest
new file mode 100644
index 000000000000..2e10c32df590
--- /dev/null
+++ b/app-editors/qwriter/Manifest
@@ -0,0 +1 @@
+DIST qwriter-0.1.9-src.tar.gz 1305399 SHA256 7a645f94b0a0050589d491e6c8a0bfa8f3381f513f9504aef348343d00c1ef8d SHA512 58a1c9b4ffcb148a0131dbbc4c150cf0b8b615e0c57712f5abe8955ce91a3d3de608d60fe9b68115fe77ec1cb2705917780e9789e175bd1c25c85aee2d23e09e WHIRLPOOL 7b57539842781e34763dcaaf644ca9e437b9accdac4215ccb5e1459a49489234665b73a9a146a9184e13b14ce3a3b8114491ffedfcde815ea9dd49ba9e4d2679
diff --git a/app-editors/qwriter/files/qwriter-0.1.9-gcc47.patch b/app-editors/qwriter/files/qwriter-0.1.9-gcc47.patch
new file mode 100644
index 000000000000..d13c6625a743
--- /dev/null
+++ b/app-editors/qwriter/files/qwriter-0.1.9-gcc47.patch
@@ -0,0 +1,13 @@
+https://bugs.gentoo.org/show_bug.cgi?id=425252
+Index: qwriter-0.1.9-src/qtsingleapplication-2.6-opensource/linux/src/qtlocalpeer.cpp
+===================================================================
+--- qwriter-0.1.9-src.orig/qtsingleapplication-2.6-opensource/linux/src/qtlocalpeer.cpp
++++ qwriter-0.1.9-src/qtsingleapplication-2.6-opensource/linux/src/qtlocalpeer.cpp
+@@ -56,6 +56,7 @@ typedef BOOL(WINAPI*PProcessIdToSessionI
+ static PProcessIdToSessionId pProcessIdToSessionId = 0;
+ #endif
+ #if defined(Q_OS_UNIX)
++#include <unistd.h>
+ #include <time.h>
+ #endif
+
diff --git a/app-editors/qwriter/metadata.xml b/app-editors/qwriter/metadata.xml
new file mode 100644
index 000000000000..96900cc7c67e
--- /dev/null
+++ b/app-editors/qwriter/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>hwoarang@gentoo.org</email>
+ <name>Markos Chandras</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="google-code">qwriter</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-editors/qwriter/qwriter-0.1.9.ebuild b/app-editors/qwriter/qwriter-0.1.9.ebuild
new file mode 100644
index 000000000000..d6a022b7ed99
--- /dev/null
+++ b/app-editors/qwriter/qwriter-0.1.9.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+LANGS="ru"
+
+inherit eutils qt4-r2
+
+MY_P="${P}-src"
+
+DESCRIPTION="Advanced text editor with syntax highlighting"
+HOMEPAGE="http://qt-apps.org/content/show.php/QWriter?content=106377"
+#upstream failed to provide a sane url
+SRC_URI="http://qwriter.googlecode.com/files/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-qt/qtgui:4
+ x11-libs/qscintilla"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ sed -i "s:languages:/usr/share/${PN}/languages:" src/MainWindow.cpp \
+ || die "failed to fix translation path"
+ # gcc-4.7. Bug #425252
+ epatch "${FILESDIR}"/${P}-gcc47.patch
+ qt4-r2_src_prepare
+}
+
+src_install() {
+ dobin bin/${PN} || die "dobin failed"
+ newicon images/w.png ${PN}.png || die "newicon failed"
+ make_desktop_entry ${PN} QWriter ${PN} \
+ || die "make_desktop_entry failed"
+ insinto /usr/share/${PN}/languages/
+ for x in ${LANGS};do
+ for j in ${LINGUAS};do
+ if [[ $x == $j ]]; then
+ doins languages/${PN}_$x.qm \
+ || die "failed to install $x translation"
+ fi
+ done
+ done
+}